require 'action_view/renderer/renderer'

module ActionView
  class Renderer
    alias :old_render :render

    def render(context, options)
      if options[:remote]
        render_remote(context, options)
      else
        old_render(context, options)
      end
    end

    def render_remote(context, options)
      Wild::View::RemoteRenderer.new(@lookup_context).render(context, options)
    end
  end
end
